Arsel AI API - أرسل
Arse.aiRegister
Arse.aiRegister
  1. Automations
  • Account
    • Get authenticated account info
      GET
  • Domains
    • List domains
      GET
    • Create a domain (and generate verification DNS records)
      POST
    • Delete a domain
      DELETE
  • Contact Lists
    • List contact lists
      GET
    • Create a contact list
      POST
    • Import subscribers into a contact list
      POST
    • List subscribers for a contact list
      GET
    • Get subscriber details (including subscriber mails)
      GET
    • Create a subscriber in a contact list
      POST
    • Update a subscriber (by subscriber UUID)
      PUT
    • Delete a subscriber (by subscriber UUID)
      DELETE
    • Toggle subscriber subscription status
      PUT
  • Campaigns
    • List campaigns
      GET
    • Create a campaign
      POST
    • Update a campaign
      PUT
    • Delete a campaign
      DELETE
  • Templates
    • List templates
      GET
    • Toggle template publish status
      PUT
  • Email Sending
    • Send an email (queued)
  • Automations
    • List automations
      GET
    • Create an automation
      POST
    • Get an automation (with steps)
      GET
    • Update an automation (and optionally sync steps)
      PUT
    • Delete an automation
      DELETE
    • Trigger a webhook automation for subscribers
      POST
  • Schemas
    • LaravelPaginationLinks
    • LaravelPaginationMeta
    • ExternalAccount
    • ExternalDomain
    • ExternalDomainCollection
    • ExternalContactList
    • ExternalContactListPaginator
    • CreateContactListResponse
    • ExternalSubscriber
    • ExternalSubscriberPaginator
    • ExternalSubscriberMail
    • ExternalSubscriberMailPaginator
    • SubscriberDetailsResponse
    • ExternalCampaign
    • ExternalCampaignCollection
    • CampaignCreateOrUpdateResponse
    • DeleteResponse
    • ExternalTemplateListItem
    • ExternalTemplatePaginator
    • ErrorResponse
    • MessageResponse
    • AccountInfoResponse
    • CreateDomainRequest
    • CreateContactListRequest
    • CreateOrUpdateSubscriberRequest
    • CreateSubscriberResponse
    • ImportSubscribersRequest
    • CreateOrUpdateCampaignRequest
    • SendEmailRequest
    • CreateAutomationRequest
    • Automation
    • AutomationCollection
    • CreateAutomationResponse
    • TriggerAutomationRequest
    • TriggerAutomationResponse
  1. Automations

List automations

GET
/v1/automations
Paginated automations for the authenticated account.
When appId query is omitted, only automations without an app_id are returned.
When appId is provided (shop/app UUID), results are filtered to that app.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Paginated automations
Bodyapplication/json

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.arsel.ai/api/v1/automations?appId=&per_page=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": 0,
            "uuid": "string",
            "name": "string",
            "app_id": 0,
            "status": "draft",
            "contact_list_id": 0,
            "trigger_type": "string",
            "trigger_config": {
                "property1": "string",
                "property2": "string"
            },
            "created_at": "string",
            "steps": [
                {
                    "property1": "string",
                    "property2": "string"
                }
            ],
            "property1": "string",
            "property2": "string"
        }
    ],
    "links": {
        "first": "string",
        "last": "string",
        "prev": "string",
        "next": "string"
    },
    "meta": {
        "current_page": 0,
        "from": 0,
        "last_page": 0,
        "links": [
            {
                "url": "string",
                "label": "string",
                "active": true
            }
        ],
        "path": "string",
        "per_page": 0,
        "to": 0,
        "total": 0
    }
}
Previous
Send an email (queued)
Next
Create an automation
Built with